<?php
/**
 * @package    Xiroweb Multi Editor with many column
 *
 * @author     Xiroweb <support@xiroweb.com>
 * @copyright  Copyright (c)2021 Xiroweb All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.xiroweb.com
 */

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Plugin\PluginHelper;

defined('_JEXEC') or die;

$slides = $params->get('group_fields');
$prepare_content = (int) $params->def('prepare_content', 0);

foreach ($slides as &$item) {
    if ($prepare_content) {
        PluginHelper::importPlugin('content');
        $item->carousel_caption = HTMLHelper::_('content.prepare', $item->caption, '', 'mod_xiroweb_carousel_bootstrap.content');
    } else {
        $item->carousel_caption = $item->caption;
    }
}

$carouselId = 'carousel-' . $module->id;

$carousel_options = array();

if ($params->get('setinterval', 0)) {
    $carousel_options['interval'] = (int) $params->get('interval', 5000);
}

HTMLHelper::_('bootstrap.carousel', '#' . $carouselId , $carousel_options);


require ModuleHelper::getLayoutPath('mod_xiroweb_carousel_bootstrap', $params->get('layout', 'default'));
